#include <iostream>
#include<bits/stdc++.h>
using namespace std;

int main()
{

ios_base::sync_with_stdio(0);
cin.tie(0);
int n,q,x,y,pr,tr;
scanf("%d",&n);
vector<int>b;
b.push_back(0);
b.push_back(0);
scanf("%d",&tr);
for(int i=2;i<=n;i++)
{
    pr=tr;
    scanf("%d",&tr);
        int k=b.back();
    if(pr>tr)b.push_back(k+1);
    else b.push_back(k);
}
scanf("%d",&q);
for(int i=0;i<q;i++)
{
    scanf("%d%d",&x,&y);
if(b[y]-b[x]>1)printf("NE\n");
else printf("DA\n");

}
    return 0;
}